%define		module pymad
# we don't want to provide private python extension libs
%define _exclude_files_from_autoprov %{python_sitearch}/.*\\.so\\|%{python3_sitearch}/.*\\.so

Summary:	A wrapper for the MAD MPEG Audio decoder library
Name:		python-%{module}
Version:	0.7
Release:	%mkrel 3
Source0:	https://github.com/jaqx0r/pymad/archive/version/%{version}.tar.gz
License:	GPLv2+
Group:		Development/Python
Url:		http://spacepants.org/src/pymad/
BuildRequires:	libmad-devel
BuildRequires:	libpython-devel
Obsoletes:	pymad < 0.7
Provides:	pymad = 0.7

%description
pymad is a Python wrapper for the MPEG Audio Decoder library.

Access this module via "import mad" or "from mad import *".  To decode
an mp3 stream, you'll want to create a MadFile object and read data from
that.  You can then write the data to a sound device.  See the example
program in test/ for a simple mp3 player that uses libao for the sound
device.


%prep
%setup -q -n %{module}-version-%{version}

%build
%{__python} config_unix.py
%{__python} setup.py build

%install
%{__python} setup.py install --root=%{buildroot} --skip-build

%files
%doc README.md AUTHORS NEWS THANKS
%{python_sitearch}/*



%changelog
* Tue Oct 22 2013 umeabot <umeabot> 0.7-3.mga4
+ Revision: 544089
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 0.7-2.mga4
+ Revision: 499232
- Rebuild to add different pythonegg provides for python 2 and 3

* Sat Oct 05 2013 philippem <philippem> 0.7-1.mga4
+ Revision: 491981
- Update to 0.7

  + marja <marja>
    - New version
    - adjusted spec to name change and cleaned a bit
    - rename module according to our policy

* Sun Jan 13 2013 umeabot <umeabot> 0.6-7.mga3
+ Revision: 378416
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jul 13 2011 stormi <stormi> 0.6-6.mga2
+ Revision: 123699
- increase release so that it's higher than in mageia 1

* Thu Jun 09 2011 ahmad <ahmad> 0.6-5.mga2
+ Revision: 102622
- Fix the License tag

* Thu Jun 09 2011 ahmad <ahmad> 0.6-4.mga2
+ Revision: 102599
- imported package pymad

